libwps: libwps::StreamIO Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# libwps::StreamIO Class Reference

List of all members.

## Public Member Functions
| StreamIO (StorageIO *io, DirEntry *entry)
| ~StreamIO ()
unsigned long | size ()
unsigned long | tell ()
int | getch ()
unsigned long | read (unsigned char *data, unsigned long maxlen)
unsigned long | read (unsigned long pos, unsigned char *data, unsigned long maxlen)
## Public Attributes
StorageIO * | io
DirEntry * | entry
std::string | fullName
bool | eof
bool | fail
## Private Member Functions
| StreamIO (const StreamIO &)
StreamIO & | operator= (const StreamIO &)
void | updateCache ()
## Private Attributes
std::vector< unsigned long > | blocks
unsigned long | m_pos
unsigned char * | cache_data
unsigned long | cache_size
unsigned long | cache_pos

## Constructor & Destructor Documentation

libwps::StreamIO::StreamIO | ( | StorageIO * | io,
|  | DirEntry * | entry |
| ) |  |  |

libwps::StreamIO::~StreamIO | ( |  | ) |

libwps::StreamIO::StreamIO | ( | const StreamIO & |  | ) | `[private]`

## Member Function Documentation

unsigned long libwps::StreamIO::size | ( |  | ) |

unsigned long libwps::StreamIO::tell | ( |  | ) |

int libwps::StreamIO::getch | ( |  | ) |

unsigned long libwps::StreamIO::read | ( | unsigned char * | data,
|  | unsigned long | maxlen |
| ) |  |  |

unsigned long libwps::StreamIO::read | ( | unsigned long | pos,
|  | unsigned char * | data,
|  | unsigned long | maxlen |
| ) |  |  |

StreamIO& libwps::StreamIO::operator= | ( | const StreamIO & |  | ) | `[private]`

void libwps::StreamIO::updateCache | ( |  | ) | `[private]`

## Member Data Documentation

StorageIO* libwps::StreamIO::io

DirEntry* libwps::StreamIO::entry

std::string libwps::StreamIO::fullName

bool libwps::StreamIO::eof

bool libwps::StreamIO::fail

std::vector<unsigned long> libwps::StreamIO::blocks`[private]`

unsigned long libwps::StreamIO::m_pos`[private]`

unsigned char* libwps::StreamIO::cache_data`[private]`

unsigned long libwps::StreamIO::cache_size`[private]`

unsigned long libwps::StreamIO::cache_pos`[private]`

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp